commit:     cf0c79e9388529cde141005cb1ff60c53563837b
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 29 19:26:54 2021 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Mon Nov 29 19:49:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf0c79e9

x11-misc/quitcount: Port to EAPI 8

Closes: https://bugs.gentoo.org/826502
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 ...ount-3.1.3.ebuild => quitcount-3.1.3-r1.ebuild} | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/x11-misc/quitcount/quitcount-3.1.3.ebuild 
b/x11-misc/quitcount/quitcount-3.1.3-r1.ebuild
similarity index 66%
rename from x11-misc/quitcount/quitcount-3.1.3.ebuild
rename to x11-misc/quitcount/quitcount-3.1.3-r1.ebuild
index 1fa341a50b67..427e0fd4f5d6 100644
--- a/x11-misc/quitcount/quitcount-3.1.3.ebuild
+++ b/x11-misc/quitcount/quitcount-3.1.3-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit gnome2-utils
+EAPI=8
+
+inherit xdg
 
 # The string in SRC_URI doesn't follow standard naming convention
 MV="3.1"
@@ -13,15 +14,14 @@ SRC_URI="mirror://sourceforge/${PN}/${MV}/${P}.tar.gz"
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-DEPEND="x11-libs/gtk+:3
-       >=dev-libs/glib-2.6:2"
 
+DEPEND="
+       x11-libs/gtk+:3
+       >=dev-libs/glib-2.6:2
+"
 RDEPEND="${DEPEND}"
 
-pkg_postinst() {
-       gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
+src_prepare() {
+       default
+       sed -i '/appdata$/s/appdata$/metainfo/' Makefile.in || die
 }

Reply via email to